Product comparison · 2 network switches

Allied Telesis FS750/52 Managed Fast Ethernet (10/100) 1U Grey vs NETGEAR JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey

Add a product
  • 33specifications compared
  • 19differ
  • 14identical
  • 47known for one product only

Key differences

  • Switch type
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:Managed
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:Unmanaged
  • Basic switching RJ-45 Ethernet ports quantity
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:50
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:16
  • Number of VLANs
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:256
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:100
  • Switching capacity
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:17.6 Gbit/s
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:32 Gbit/s
  • Forwarding rate
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:13.1 Mpps
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:23.8 Mpps
  • Jumbo frames
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:10000
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:9000
  • Packet buffer memory
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:4.1 MB
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:0.75 MB
  • Power consumption (max)
    • FS750/52 Managed Fast Ethernet (10/100) 1U Grey:13.25 W
    • JGS516PE Unmanaged Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey:110 W

Side by side

Differences highlightedShow differences only (on)
Comparison of FS750/52, JGS516PE
80 specifications
Management features1 differ
Switch typeDiffersManagedUnmanaged
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Web-based managementKnown for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
Public MIBKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers5016
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one48Unknown — not stated by the source
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
Installed SFP+ modules quantityKnown for one0Unknown — not stated by the source
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
Fiber optic connectorKnown for oneSFPUnknown — not stated by the source
Network3 differ
Networking standardsDiffersIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.1Q, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3az, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x
10G supportKnown for oneNoUnknown — not stated by the source
Copper ethernet cabling technologyKnown for one10BASE-T, 100BASE-TX, 100BASE-T, 1000BASE-TUnknown — not stated by the source
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Rate limitingKnown for oneYesUnknown — not stated by the source
Spanning tree protocolKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresDiffersPort-based VLAN, Tagged VLAN, VLAN Identifier ( VLAN ID)Tagged VLAN
Number of VLANsDiffers256100
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
Auto-negotiationKnown for oneUnknown — not stated by the sourceYes
Data transmission4 differ
Switching capacityDiffers17.6 Gbit/s32 Gbit/s
Forwarding rateDiffers13.1 Mpps23.8 Mpps
Number of queuesKnown for one4Unknown — not stated by the source
Jumbo framesDiffers100009000
Packet buffer memoryDiffers4.1 MB0.75 MB
Store-and-forwardKnown for oneUnknown — not stated by the sourceYes
Latency (1 Gbps)Known for oneUnknown — not stated by the source4.2 µs
Securityidentical
Access Control List (ACL)Known for oneYesUnknown — not stated by the source
Access Control List (ACL) rulesKnown for one200Unknown — not stated by the source
AuthenticationKnown for oneMAC-based authentication, Port-based authenticationUnknown — not stated by the source
Authentication typeKnown for oneRADIUSUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
Password protectionKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one802.1x RADIUS, SNMPv3Unknown — not stated by the source
Multicast featuresidentical
Multicast supportKnown for oneYesUnknown — not stated by the source
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Protocolsidentical
Management protocolsKnown for oneSNMPv1/v2c/v3Unknown — not stated by the source
Designidentical
Form factorKnown for one1UUnknown — not stated by the source
LED indicatorsKnown for oneYesUnknown — not stated by the source
Number of fansKnown for one0 fan(s)Unknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
Housing materialKnown for oneUnknown — not stated by the sourceMetal
Performanceidentical
Memory typeKnown for oneDRAMUnknown — not stated by the source
Internal memoryKnown for one128 MBUnknown — not stated by the source
Flash memoryKnown for one16 MBUnknown — not stated by the source
Firmware upgradeableKnown for oneYesUnknown — not stated by the source
Noise levelKnown for oneUnknown — not stated by the source24.5 dB
Mean time between failures (MTBF)Known for oneUnknown — not stated by the source840354 h
Power1 differ
Power supply includedKnown for oneYesUnknown — not stated by the source
Power consumption (max)Differs13.25 W110 W
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Power over Ethernet (PoE) ports quantityKnown for oneUnknown — not stated by the source8
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source85 W
Operational conditions2 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Differs-25 - 70 °C-20 - 70 °C
Operating relative humidity (H-H)Known for one5 - 90%Unknown — not stated by the source
Storage relative humidity (H-H)Known for one5 - 95%Unknown — not stated by the source
Weight & dimensions4 differ
WidthDiffers440 mm328 mm
DepthDiffers250 mm169 mm
HeightDiffers44 mm43 mm
WeightDiffers3 kg1.67 kg
Packaging contentidentical
ManualKnown for oneYesUnknown — not stated by the source
Certificates1 differ
CertificationDiffersUL60950-1 2nd edition (UL) FCC/EN55022/CISPR 22 Class A VCCI Class A C-Tick EN60950 (TUV) EN55024 CE Mark CSA / cULVCCI Class A

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons